# Create a new user Context Memory Item

`post/app/api/v1/context-memory/create`

Create a new user Context Memory Item (+ optional tenant union OR tenant id/label). Prefer `tenant_union_id` for union-scoped context (multiple integration slots); `tenant_id`+`tenant_label` for upstream tenant scoping.

## Authorizations

- **ApiKeyAuth**
  - Authorization: string (Required)

## Body

- `application/json`
    - **content**: string (Optional, Default: `Hello world`)
    - **tenant_id**: string (Optional, Default: `null`)
    - **tenant_label**: string (Optional, Default: `null`)
    - **tenant_union_id**: number (Optional, Default: `null`)

## Responses

- **201**  
  Context Memory Item created
  - `application/json`
    - **item_id**: number (Optional)
- **400**  
  Bad request - invalid input
  - `application/json`
- **401**  
  Unauthorized
  - `application/json`
- **403**  
  Access denied
  - `application/json`
- **500**  
  System error
  - `application/json`
- **503**  
  System not ready for requests
  - `application/json`

### Example HTTP Request

```
POST /app/api/v1/context-memory/create HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 86

{
  "content": "Hello world",
  "tenant_id": "text",
  "tenant_label": "text",
  "tenant_union_id": 1
}
```

*Response*

```
{
  "item_id": 1
}
```

# Delete an existing user Context Memory Item

`delete/app/api/v1/context-memory/delete/{item_id}`

## Authorizations

- **ApiKeyAuth**
  - Authorization: string (Required)

## Path parameters

- **item_id**: string (Required)

## Responses

- **200**  
  Context Memory Item deleted
  - `application/json`
    - **item_id**: number (Optional)
- **401**  
  Unauthorized
  - `application/json`
- **403**  
  Access denied
  - `application/json`
- **404**  
  Resource not found
  - `application/json`
- **500**  
  System error
  - `application/json`
- **503**  
  System not ready for requests
  - `application/json`

### Example HTTP Request

```
DELETE /app/api/v1/context-memory/delete/{item_id} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
```

*Response*

```
{
  "item_id": 1
}
```

# Update an existing user Context Memory Item

`put/app/api/v1/context-memory/update/{item_id}`

Update an existing user Context Memory Item (+ optional tenant union OR tenant id/label). Prefer `tenant_union_id` for union-scoped context (multiple integration slots); `tenant_id`+`tenant_label` for upstream tenant scoping.

## Authorizations

- **ApiKeyAuth**
  - Authorization: string (Required)

## Path parameters

- **item_id**: string (Required)

## Body

## Responses

- **200**  
  Context Memory Item updated
  - `application/json`
    - **item_id**: number (Optional)
- **400**  
  Bad request - invalid input
  - `application/json`
- **401**  
  Unauthorized
  - `application/json`
- **403**  
  Access denied
  - `application/json`
- **404**  
  Resource not found
  - `application/json`
- **500**  
  System error
  - `application/json`
- **503**  
  System not ready for requests
  - `application/json`

### Example HTTP Request

```
PUT /app/api/v1/context-memory/update/{item_id} HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 86

{
  "content": "Hello world",
  "tenant_id": "text",
  "tenant_label": "text",
  "tenant_union_id": 1
}
```

*Response*

```
{
  "item_id": 1
}
```

---  
Last updated 8 months ago.
